package com.yc.ship.module.ota.controller.admin.distributorproduct.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 分销商旅行社价格 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DistributorAgencyPriceRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "9563")
    @ExcelProperty("主键")
    private String id;

    @Schema(description = "分销商ID", example = "6536")
    @ExcelProperty("分销商ID")
    private Long distributorId;

    @Schema(description = "分销产品ID", example = "15797")
    @ExcelProperty("分销产品ID")
    private Long distributorProductId;

    @Schema(description = "产品", example = "32278")
    @ExcelProperty("产品")
    private Long productId;

    @Schema(description = "产品skuID", example = "28411")
    @ExcelProperty("产品skuID")
    private Long productSkuId;

    @Schema(description = "规格类型")
    @ExcelProperty("规格类型")
    private String specType;

    @Schema(description = "成本价", example = "25523")
    @ExcelProperty("成本价")
    private BigDecimal costPrice;

    @Schema(description = "销售价", example = "30525")
    @ExcelProperty("销售价")
    private BigDecimal salePrice;

    @Schema(description = "库存")
    @ExcelProperty("库存")
    private Integer stock;

    @Schema(description = "是否启用")
    @ExcelProperty("是否启用")
    private Integer isUse;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}