package com.yc.ship.module.ota.dal.dataobject.distributor;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 分销商信息 DO
 *
 * @author 管理员
 */
@TableName("ota_distributor")
@KeySequence("ota_distributor_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistributorDO extends TenantBaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 是否启用
     */
    private Integer isUse;
    /**
     * 结算方式
     */
    private String payType;
    /**
     * 经销类型
     */
    private Integer type;
    /**
     * 分销商类型
     */
    private Long otaTypeId;
    /**
     * 分销商分组ID
     */
    private Long otaCategoryId;
    /**
     * 全称
     */
    private String name;
    /**
     * 简称
     */
    private String shortName;
    /**
     * 登录名
     */
    private String loginName;
    /**
     * 登录密码
     */
    private String password;
    /**
     * 联系人
     */
    private String contactPerson;
    /**
     * 联系电话
     */
    private String contactPhone;
    /**
     * 开始使用时间
     */
    private LocalDateTime startTime;
    /**
     * 结束使用时间
     */
    private LocalDateTime stopTime;
    /**
     * 分销商IP
     */
    private String otaIp;
    /**
     * AppId
     */
    private String appid;
    /**
     * Secret
     */
    private String secret;
    /**
     * 分销商帐号：我方分配给分销商的帐号，区别于appid、appid为分销商分配给我们的帐号
     */
    private String otaAccount;
    /**
     * 服务地址
     */
    private String serverUrl;
    /**
     * 是否自营
     */
    private Integer selfSupport;
    /**
     * 功能
     */
    private String functions;
    /**
     * 团队类型
     */
    private String teamType;
    /**
     * 是否为挂靠旅行社
     */
    private Integer isAttachment;
    /**
     * 被挂靠旅行社
     */
    private String attachmentedAgency;
    /***
     * 登录账户所在租户号
     */
    private Long accountTenantId;
    /**
     * 单位地址
     */
    private String unitAddress;
    /**
     * 开户银行
     */
    private String depositBank;
    /**
     * 银行账户
     */
    private String bankAccount;
    /**
     * 税号
     */
    private String accountNumber;
    /**
     * 电话
     */
    private String phone;
    /**
     * 邮箱
     */
    private String email;

    private BigDecimal payCredit;

    private BigDecimal balance;

    private BigDecimal surplus;

    private BigDecimal inventory;
    /**
     * 是否开启退票审核
     */
    private Integer canRefundExamine;

    /**
     * 下单支付超时时间
     */
    private Integer payTimeOut;

    @TableField(exist = false)
    private String typeCode;

    @TableField(exist = false)
    private Boolean disabled;

    @TableField(exist = false)
    private Integer channel;

    private String cmbShortNo;

    private String externalAccountId;

    private String externalPoiIds;

    private String custCode;
}