package com.yc.ship.module.resource.controller.admin.port.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 资源管理-口岸管理新增/修改 Request VO")
@Data
public class ResourcePortSaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "10116")
    private Long id;

    @Schema(description = "口岸名称", example = "芋艿")
    private String name;

    @Schema(description = "地理位置")
    private String address;

    @Schema(description = "省份ID", example = "790")
    private Integer provinceId;

    @Schema(description = "省份名称", example = "赵六")
    private String provinceName;

    @Schema(description = "备注", example = "你说的对")
    private String remark;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @NotNull(message = "状态不能为空")
    private Integer status;

}