package com.yc.ship.module.resource.controller.admin.route.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 航线管理新增/修改 Request VO")
@Data
public class ResourceRouteSaveReqVO {

    @Schema(description = "ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "13031")
    private Long id;

    @Schema(description = "航线名称", example = "王五")
    private String name;

    @Schema(description = "航线编码")
    private String code;

    @Schema(description = "英文名称")
    private String nameEn;

    @Schema(description = "航向（字典）")
    private Integer direction;

    @Schema(description = "航线简称", example = "赵六")
    private String shortName;

    @Schema(description = "简拼")
    private String shortNameEn;

    @Schema(description = "登船码头", example = "28643")
    private Long onDockId;

    @Schema(description = "离船码头", example = "1161")
    private Long leaveDockId;

    @Schema(description = "途经停靠码头")
    private String midwayDockIds;

    @Schema(description = "航线简介")
    private String introduce;

    @Schema(description = "航线关联景区")
    private String relationScenicIds;

    @Schema(description = "航线时长")
    private String duration;

    @Schema(description = "排序")
    private Integer sort;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "状态不能为空")
    private Integer status;

}