package com.yc.ship.module.resource.dal.dataobject.room;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import com.yc.ship.framework.mybatis.core.dataobject.BaseDO;

/**
 * 资源管理-游轮房间管理 DO
 *
 * @author flycloud
 */
@TableName("resource_room")
@KeySequence("resource_room_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ResourceRoomDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 房间号
     */
    private Integer roomNum;
    /**
     * 房型
     */
    private Long roomModelId;
    /**
     * 所属游轮
     */
    private Long shipId;
    /**
     * 所属楼层
     */
    private Integer floors;
    /**
     * 房间介绍
     */
    private String brief;
    /**
     * 房间视频
     */
    private String videoUrl;
    /**
     * 房间图片
     */
    private String pciUrl;
    /**
     * 备注
     */
    private String remark;
    /**
     * 状态
     *
     * 枚举 {@link TODO common_status 对应的类}
     */
    private Integer status;

}