package com.yc.ship.module.resource.dal.dataobject.roommodelrooms;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

/**
 * 资源管理-房型关联房间管理 DO
 *
 * @author flycloud
 */
@TableName("resource_room_model_rooms")
@KeySequence("resource_room_model_rooms_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ResourceRoomModelRoomsDO extends TenantBaseDO {

    @TableId
    private Long id;
    /**
     * 房间ID
     */
    private Long roomId;

    /**
     * 房型ID
     */
    private Long roomModelId;
}
