package com.yc.ship.module.resource.dal.dataobject.ship;

import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import com.yc.ship.framework.mybatis.core.dataobject.BaseDO;

/**
 * 资源管理-游轮管理 DO
 *
 * @author fycloud
 */
@TableName("resource_ship")
@KeySequence("resource_ship_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ResourceShipDO extends TenantBaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 游轮名称
     */
    private String name;
    /**
     * 游轮编码
     */
    private String code;
    /**
     * 所属供应商
     */
    private Long supplierId;
    /**
     * 游轮类型
     */
    private Long shipTypeId;
    /**
     * 船长（米）
     */
    private Double shipLength;
    /**
     * 船宽（米）
     */
    private Double shipWidth;
    /**
     * 船舶净吨(吨)
     */
    private Double shipWeight;
    /**
     * 吃水深度(米)
     */
    private Double shipDraft;
    /**
     * 楼层数量
     */
    private Integer floorsNum;
    /**
     * 排水量
     */
    private Double displacement;
    /**
     * 规模
     */
    private String shipScale;
    /**
     * 备注
     */
    private String remark;
    /**
     * 状态
     *
     * 枚举 {@link TODO common_status 对应的类}
     */
    private Integer status;

}