package com.yc.ship.module.resource.service.route;

import java.util.*;
import javax.validation.*;
import com.yc.ship.module.resource.controller.admin.route.vo.*;
import com.yc.ship.module.resource.dal.dataobject.route.ResourceRouteDO;
import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.framework.common.pojo.PageParam;

/**
 * 航线管理 Service 接口
 *
 * @author flycloud
 */
public interface ResourceRouteService {

    /**
     * 创建航线管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createRoute(@Valid ResourceRouteSaveReqVO createReqVO);

    /**
     * 更新航线管理
     *
     * @param updateReqVO 更新信息
     */
    void updateRoute(@Valid ResourceRouteSaveReqVO updateReqVO);

    /**
     * 删除航线管理
     *
     * @param id 编号
     */
    void deleteRoute(Long id);

    /**
     * 获得航线管理
     *
     * @param id 编号
     * @return 航线管理
     */
    ResourceRouteDO getRoute(Long id);

    /**
     * 获得航线管理分页
     *
     * @param pageReqVO 分页查询
     * @return 航线管理分页
     */
    PageResult<ResourceRouteDO> getRoutePage(ResourceRoutePageReqVO pageReqVO);

}